Bug 1048536 - [abrt] fedmsg-notify: daemon.py:333:main:ValueError: invalid literal for int() with base 10: ''
Summary: [abrt] fedmsg-notify: daemon.py:333:main:ValueError: invalid literal for int(...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedmsg-notify
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:68a6da9c21dd5a3a84098abfe2a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-04 22:40 UTC by ertanerbek
Modified: 2016-09-20 02:45 UTC (History)
3 users (show)

Fixed In Version: fedmsg-notify-0.5.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-19 04:07:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (547 bytes, text/plain)
2014-01-04 22:40 UTC, ertanerbek
no flags Details
File: environ (1.45 KB, text/plain)
2014-01-04 22:40 UTC, ertanerbek
no flags Details

Description ertanerbek 2014-01-04 22:40:10 UTC
Version-Release number of selected component:
fedmsg-notify-0.5.3-1.fc19

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python /usr/bin/fedmsg-notify-daemon
executable:     /usr/bin/fedmsg-notify-daemon
kernel:         3.12.6-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
daemon.py:333:main:ValueError: invalid literal for int() with base 10: ''

Traceback (most recent call last):
  File "/usr/bin/fedmsg-notify-daemon", line 9, in <module>
    load_entry_point('fedmsg-notify==0.5.3', 'console_scripts', 'fedmsg-notify-daemon')()
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/daemon.py", line 333, in main
    psutil.Process(int(f.read()))
ValueError: invalid literal for int() with base 10: ''

Local variables in innermost frame:
f: <closed file '/home/e-diablo/.fedmsg-notify.pid', mode 'r' at 0x2e42150>

Comment 1 ertanerbek 2014-01-04 22:40:20 UTC
Created attachment 845574 [details]
File: backtrace

Comment 2 ertanerbek 2014-01-04 22:40:24 UTC
Created attachment 845575 [details]
File: environ

Comment 3 Fedora Update System 2014-01-10 03:43:03 UTC
fedmsg-notify-0.5.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedmsg-notify-0.5.4-1.fc20

Comment 4 Fedora Update System 2014-01-11 08:37:39 UTC
Package fedmsg-notify-0.5.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedmsg-notify-0.5.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0612/fedmsg-notify-0.5.4-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-01-19 04:07:33 UTC
fedmsg-notify-0.5.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.